<?php
add_action('admin_menu', 'mkt_add_product'); //Add new menu block to admin side
function mkt_add_product(){	
	if(function_exists(add_object_page))
    {
       add_object_page("Products",  __("Job Board"), 8, 'admin_menu.php', 'design_settings', get_option( 'siteurl' ).'/wp-content/themes/'.get_option( 'template' ).'/images/favicon.ico'); // title of new sidebar
    }
    else
    {
       add_menu_page("Products",  __("Job Board"), 8, 'admin_menu.php', 'design_settings', get_option( 'siteurl' ).'/wp-content/themes/'.get_option( 'template' ).'/images/favicon.ico'); // title of new sidebar
    }
	
	add_submenu_page('admin_menu.php', __('Design Settings'), __("Design Settings"), 8, 'admin_menu.php', 'design_settings'); // sublink2
	add_submenu_page('admin_menu.php', __("Manage Coupon"), __("Manage Coupon"), 8, 'managecoupon', 'manage_coupon'); //sublink1
	add_submenu_page('admin_menu.php', __("Manage Price"), __("Manage Price"), 8, 'price', 'manage_price'); //sublink1
}

function design_settings()
{
	mytheme_add_admin();
	//mytheme_admin();
}

function manage_coupon()
{
	if($_REQUEST['pagetype']=='addedit')
	{
		include_once(TEMPLATEPATH . '/admin_coupon.php');
	}else
	{
		include_once(TEMPLATEPATH . '/admin_manage_coupon.php');
	}
	exit;
}

function manage_price()
{
	if($_REQUEST['pagetype']=='addedit')
	{
		include_once(TEMPLATEPATH . '/admin_price.php');
	}else
	{
		include_once(TEMPLATEPATH . '/admin_manage_price.php');
	}
	exit;
}
?>