<?php
error_reporting(E_ERROR);
global $blog_id;
if($blog_id)
{
	$upload_folder_path = "wp-content/blogs.dir/$blog_id/files/";
}else
{
	$upload_folder_path = "wp-content/uploads/";
}
global $blog_id;
if($blog_id){ $thumb_url = "&bid=$blog_id";}

if ( function_exists( 'add_theme_support' ) ){
	add_theme_support( 'post-thumbnails' );
	}


//Begin widget code
if ( function_exists('register_sidebars') )
    register_sidebars(1);
	register_sidebars(1,array('name' => 'Header Navigation','before_widget' => '<div class="widget">','after_widget' => '</div>','before_title' => '<h3><span>','after_title' => '</span></h3>'));
?>
<?php
require_once (TEMPLATEPATH . '/language.php');

$themename = "Job Board";
$shortname = "pt";
$options = array (
    
array(	"name" => __("General Settings"),
		"type" => "heading"),
		
    array(  "name" => __("Your Feedburner ID"),
			"desc" => __("Specify Your Feedburner ID here. To find out what your Feedburner ID is, check ThemeGuide PDF shipped with the theme "),
            "id" => $shortname."_feedburner_id",
            "std" => "Templatic",
            "type" => "text"),
			
    array(  "name" => __("Your Twitter ID"),
			"desc" => __("Specify Your Twitter ID here."),
            "id" => $shortname."_twitter_id",
            "std" => "templatic",
            "type" => "text"),
			
	array(  "name" => __("Site Email ID"),
			"desc" => __("Please enter the site email id to where the email will be received"),
            "id" => "site_email_id",
            "std" => get_option('admin_email'),
            "type" => "text"),
			
	array(  "name" => __("Paypal Merchant ID"),
			"desc" => __("Specify Your Paypal Merchant/Bussiness ID"),
            "id" => "site_paypal_business_id",
            "std" => "myaccount@gmail.com",
            "type" => "text"),
			
	array(  "name" => __("Paypal Currency Code"),
			"desc" => __("Specify Your Paypal Currency Code Example:USD"),
            "id" => "site_paypal_currency_code",
            "std" => "USD",
			
            "type" => "text"),
	array(  "name" => __("Job Post Fees Amount"),
			"desc" => __("Specify the job post fees. Keep blank or 0 for free job post"),
            "id" => "jobpost_fees_amount",
            "std" => "0",
            "type" => "text"),
			
	array(  "name" => __("Job Post Expiry Days"),
			"desc" => __("Specify the job Expiry Days. Keep blank for unlimited"),
            "id" => "job_post_expiry_days",
            "std" => "",
            "type" => "text"),
			
	 array(  "name" => __("Default Status of Post"),
			"desc" => __("Job Post Default Status"),
            "id" => "jobpost_default_status",
            "std" => "publish",
            "type" => "select",
			"options" => array("publish", "draft")),
	 
	 array(  "name" => __("Paid Job Description Message"),
			"desc" => __("Specify Your message for paid job while Job Post Fees Amount is set. <br>you can set message for the job status after successful payment.<br>This message will display on <b>Post a Job</b> and <b>Job Preview</b> pages.<br><b>Note:</b> Please do not change fees amount variable <u>[JOB_POST_FEES_AMOUNT]</u>"),
            "id" => "paid_job_desc",
            "std" => "You are going to pay [JOB_POST_FEES_AMOUNT], after successfull payment your job will publish.",
            "type" => "textarea"),
			
	  array(  "name" => __("Status of Post after Expiry"),
			"desc" => __("Job Post Status after Expiry"),
            "id" => "jobpost_status_after_expiry",
            "std" => "draft",
            "type" => "select",
			"options" => array("draft", "delete")),
    			
    array(  "name" => __("Show Post a Job Button"),
			"desc" => __("Do you want to display Post a Job Button or not?"),
            "id" => $shortname."_show_postajoblink",
            "std" => "Yes",
             "type" => "select",
			"options" => array("Yes", "No")),
			
    array(  "name" => __("Show Post Details Page a Comment Section"),
			"desc" => __("Do you want to display post details page a comment section or not?"),
            "id" => $shortname."_show_postacomment",
            "std" => "Yes",
             "type" => "select",
			"options" => array("Yes", "No")),
						
    array(  "name" => __("Top Page Links"),
			"desc" => __("Specify from which pages in Custom top navigation should be displayed"),
            "id" => $shortname."_includepages",
            "std" => "7",
            "type" => "text"),
	
	array(  "name" => __("Select Blog Category"),
			"desc" => __("Select Blog Category"),
            "id" => $shortname."_blog_cat",
            "std" => "",
            "type" => "select",
			"options" => category_exclude()),
	
	array(  "name" => __("Select Job Type Category"),
			"desc" => __("Select Job Type Category (Create categories like 'Full Time','Part Time','Freelance' under the parent category 'Job Type' and select parent category here.)"),
            "id" => $shortname."_jobtype_cat",
            "std" => "",
            "type" => "select",
			"options" => category_exclude()),

    array(  "name" => __("Bottom Page Links"),
			"desc" => __("Specify from which pages in Custom bottom navigation should be displayed"),
            "id" => $shortname."_excludepages",
            "std" => "3",
            "type" => "text"),
			    
array(	"name" => __("Theme Appearance Settings"),
		"type" => "heading"),
		
    array(  "name" => __("Title Logo as Image or Text?"),
			"desc" => __("The Site title should be displayed an Image or Text?"),
            "id" => $shortname."_logo_appearance",
            "std" => "image",
            "type" => "select",
			"options" => array("image", "text")),
			
	array(  "name" => __("Theme Color Change"),
			"desc" => __("Specify primary color that will be used for normal text"),
            "id" => $shortname."_body_color",
            "std" => "Blue",
            "type" => "select",
			"options" => array("grey", "blue", "green", "dark_green", "red", "cream", "pink" )),

				    
	array(	"name" => __("Advertise Management"),
		"type" => "heading"),
 	
	array(  "name" => __("Advertise 1 Image Source"),
			"desc" => __("Path of the image to be displayed in sidebar section"),
            "id" => $shortname."_ad_one",
            "std" => "",
            "type" => "text"),

    array(  "name" => __("Advertise 1 Link"),
			"desc" => __("Where the advertise 1 should be linked?"),
            "id" => $shortname."_ad_one_link",
            "std" => "http://templatic.com/",
            "type" => "text"),
			
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "Current Theme Options", 'switch_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>

<style type="text/css"  >
	h3 { padding:10px 20px; margin:20px 0 0 0; font:normal 18px Arial, Helvetica, sans-serif; color: #fff ; background:#000; }
	.admin_table td, .admin_table th { padding:8px 8px 5px 8px; border-bottom:1px solid #ccc; background:#eee; font:12px Arial, Helvetica, sans-serif; color:#333;  }
	.admin_table th { font-weight:bold; text-align:left; width:200px; }
	.admin_table td input, .admin_table td select { background:#fff; padding:4px; width:400px; border:1px solid #ccc; margin-bottom:4px;   }
	.admin_table td select { width:200px;  }
	.admin_table td.head { background:#fff; padding:0; margin:0;  }
</style>

<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>
<form method="post">
  <table class="admin_table">
    <?php foreach ($options as $value) {
    
if ($value['type'] == "heading") { ?>
		<tr valign="top"> 
		    <td colspan="2" class="head"><h3 ><?php echo $value['name']; ?></h3></td>
		</tr>

    <?php } elseif ($value['type'] == "text") { ?>

    <tr valign="top">
      <th scope="row" style="font:bold 11px Verdana, Arial, Helvetica, sans-serif; padding-top:10px;"><?php echo $value['name']; ?>:</th>
      <td><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <br />
        <small><?php echo $value['desc'] ; ?></small> </td>
    </tr>

    <?php } elseif ($value['type'] == "select") { ?>
    <tr valign="top">
      <th scope="row" style="font:bold 11px Verdana; padding-top:10px;"><?php echo $value['name']; ?>:</th>
      <td style="font:11px Verdana, Arial, Helvetica, sans-serif;"><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
          <?php foreach ($value['options'] as $option) { ?>
          <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
          <?php } ?>
        </select>
        <br />
        <small><?php echo $value['desc'] ; ?></small> </td>
    </tr>
    <?php
} elseif ($value['type'] == "textarea") { ?>
    <tr valign="top">
      <th scope="row" style="font:bold 11px Verdana; padding-top:10px;"><?php echo $value['name']; ?>:</th>
      <td style="font:11px Verdana, Arial, Helvetica, sans-serif;">
      <textarea name="<?php echo $value['id']; ?>" cols="50" rows="3" id="<?php echo $value['id']; ?>"><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea>
        <br />
        <small><?php echo $value['desc'] ; ?></small> </td>
    </tr>
    <?php
}
}
?>
  </table>
  <p class="submit">
    <input name="save" type="submit" value="<?php _e('Save changes','templatic');?>" />
    <input type="hidden" name="action" value="save" />
  </p>
</form>
<form method="post">
  <p class="submit">
    <input name="reset" type="submit" value="<?php _e('Reset','templatic');?>" />
    <input type="hidden" name="action" value="reset" />
  </p>
</form>
<?php
}
?>
<?php
function mytheme_wp_head() {
?>
<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" type="text/css" />
<?php }
add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin'); ?>
<?php
function my_jobs_summary()
{
	list($post_stati, $avail_post_stati) = wp_edit_posts_query();
	query_posts('orderby=post_date&order=DESC'); 
	query_posts('posts_per_page=5');
	if (have_posts())
	{
?>
<table width="100%">
<tr>
<td><strong><?php _e('Job Post Title','templatic');?></strong></td>
<td><strong><?php _e('Date','templatic');?></strong></td>
</tr>
<?php
	 	while (have_posts())
		{
			the_post();
?>
<tr>
<td><a href="<?php echo get_option('siteurl');?>/wp-admin/post.php?action=edit&post=<?php the_ID(); ?>" rel="bookmark" title="Permanent Link to "><?php the_title(); ?></a></td>
<td><?php echo the_time('d/m/Y');?></td>
</tr>
<?php
		}
?></table>
<?php
	}
 }
/**
 * add Dashboard Widget via function wp_add_dashboard_widget()
 */
function my_wp_dashboard_setup() 
{
	global $General;
	wp_add_dashboard_widget( 'my_orders_summary', __( 'Latest Job Posts' ), 'my_jobs_summary' );
}


/*
Plugin Name: WP-PageNavi 
Plugin URI: http://www.lesterchan.net/portfolio/programming.php 
*/ 


function wp_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 5, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged, $totalpost_count, $posts_per_page_homepage;
	if($posts_per_page_homepage)
	{
		$posts_per_page = $posts_per_page_homepage;
	}
	if(empty($prelabel)) {
		$prelabel  = '<strong>&laquo;</strong>';
	}
	if(empty($nxtlabel)) {
		$nxtlabel = '<strong>&raquo;</strong>';
	}
	$half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
		if(is_tag()) {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);		
		} elseif (!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);	
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);		
		}
		$fromwhere = $matches[1];
		$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
	}
	if($totalpost_count)
	{
		$numposts = $totalpost_count;
	}
	$max_page = ceil($numposts /$posts_per_page);
		if(empty($paged)) {
			$paged = 1;
		}
		if($max_page > 1 || $always_show) {
			echo "$before <div class='Navi'>";
			if ($paged >= ($pages_to_show-1)) {
				echo '<a href="'.str_replace('&','&amp;',str_replace('&','&amp;',get_pagenum_link())).'">&laquo; First</a>';
			}
			previous_posts_link($prelabel);
			for($i = $paged - $half_pages_to_show; $i  <= $paged + $half_pages_to_show; $i++) {
				if ($i >= 1 && $i <= $max_page) {
					if($i == $paged) {
						echo "<strong class='on'>$i</strong>";
					} else {
						echo ' <a href="'.str_replace('&','&amp;',get_pagenum_link($i)).'">'.$i.'</a> ';
					}
				}
			}
			next_posts_link($nxtlabel, $max_page);
			if (($paged+$half_pages_to_show) < ($max_page)) {
				echo '<a href="'.str_replace('&','&amp;',get_pagenum_link($max_page)).'">Last &raquo;</a>';
			}
			echo "</div> $after";
		}
}
/**
 * Plugin Name: Example Widget
 * Plugin URI: http://example.com/widget
 * Description: A widget that serves as an example for developing more advanced widgets.
 * Version: 0.1
 * Author: Justin Tadlock
 * Author URI: http://justintadlock.com
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * Add function to widgets_init that'll load our widget.
 * @since 0.1
 */
add_action( 'widgets_init', 'example_load_widgets' );

/**
 * Register our widget.
 * 'Example_Widget' is the widget class used below.
 *
 * @since 0.1
 */
function example_load_widgets() {
	register_widget( 'Example_Widget' );
}

/**
 * Example Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class Example_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function Example_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Featured', 'description' => __('An Featured Companies widget that displays Featured Companies.') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'example-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'example-widget', __('Featured Companies'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$logo = array();
		$url = array();
		if($instance['logo1'])
		{
			$logo[] = $instance['logo1'];
			$url[] = $instance['url1'];
		}
		if($instance['logo2'])
		{
			$logo[] = $instance['logo2'];
			$url[] = $instance['url2'];
		}
		if($instance['logo3'])
		{
			$logo[] = $instance['logo3'];
			$url[] = $instance['url3'];
		}
		if($instance['logo4'])
		{
			$logo[] = $instance['logo4'];
			$url[] = $instance['url4'];
		}		
		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		?>
        <ul class="featured_companies">
       <?php 
	   if($logo)
	   {
	   	for($i=0;$i<count($logo);$i++)
		{
		?>
        <li><a href="<?php echo  $url[$i];?>"><img src="<?php echo $logo[$i];?>" alt="<?php echo $url[$i];?>"></a></li>
        <?php
		}
	   }
	   ?>
        </ul>
        <?php
		
		
		/* After widget (defined by themes). */
		echo $after_widget;
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['logo1'] = strip_tags( $new_instance['logo1'] );
		$instance['url1'] = strip_tags( $new_instance['url1'] );
		$instance['logo2'] = strip_tags( $new_instance['logo2'] );
		$instance['url2'] = strip_tags( $new_instance['url2'] );
		$instance['logo3'] = strip_tags( $new_instance['logo3'] );
		$instance['url3'] = strip_tags( $new_instance['url3'] );
		$instance['logo4'] = strip_tags( $new_instance['logo4'] );
		$instance['url4'] = strip_tags( $new_instance['url4'] );
		
		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('Featured Companies') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'logo1' ); ?>"><?php _e('Logo1:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'logo1' ); ?>" name="<?php echo $this->get_field_name( 'logo1' ); ?>" value="<?php echo $instance['logo1']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'url1' ); ?>"><?php _e('Logo1 URL:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'url1' ); ?>" name="<?php echo $this->get_field_name( 'url1' ); ?>" value="<?php echo $instance['url1']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'logo2' ); ?>"><?php _e('Logo2:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'logo2' ); ?>" name="<?php echo $this->get_field_name( 'logo2' ); ?>" value="<?php echo $instance['logo2']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'url2' ); ?>"><?php _e('Logo2 URL:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'url2' ); ?>" name="<?php echo $this->get_field_name( 'url2' ); ?>" value="<?php echo $instance['url2']; ?>" style="width:100%;" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'logo3' ); ?>"><?php _e('Logo3:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'logo3' ); ?>" name="<?php echo $this->get_field_name( 'logo3' ); ?>" value="<?php echo $instance['logo3']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'url3' ); ?>"><?php _e('Logo3 URL:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'url3' ); ?>" name="<?php echo $this->get_field_name( 'url3' ); ?>" value="<?php echo $instance['url3']; ?>" style="width:100%;" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'logo4' ); ?>"><?php _e('logo4:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'logo4' ); ?>" name="<?php echo $this->get_field_name( 'logo4' ); ?>" value="<?php echo $instance['logo4']; ?>" style="width:100%;" />
		</p>
        
        <p>
			<label for="<?php echo $this->get_field_id( 'url4' ); ?>"><?php _e('Logo4 URL:','templatic'); ?></label>
			<input id="<?php echo $this->get_field_id( 'url4' ); ?>" name="<?php echo $this->get_field_name( 'url4' ); ?>" value="<?php echo $instance['url4']; ?>" style="width:100%;" />
		</p>
        
      

	<?php
	}
}


 
/**
 * use hook, to integrate new widget
 */
add_action('wp_dashboard_setup', 'my_wp_dashboard_setup');

function category_listing($linkparam = '')
{
	global $wpdb;
	$catsql = "select c.term_id, c.name from $wpdb->terms c,$wpdb->term_taxonomy tt  where tt.term_id=c.term_id and tt.taxonomy='category' and count>0 order by c.name";
	$catinfo = $wpdb->get_results($catsql);
	if($_REQUEST['jtype'])
	{
		$linkparam1 = 'jtype='.$_REQUEST['jtype'];
	}else
	{
		$linkparam1 = 'jtype=all';
	}
	
	if($catinfo)
	{
		$counter = 0;
		foreach($catinfo as $catinfo_obj)
		{
			$counter++;
			$termid = $catinfo_obj->term_id;
			$name = $catinfo_obj->name;
			$linkparam = $linkparam1 . '&catid='.$termid;
			?>
			<?php /*?> <li class="cat-item cat-item-5"><a title="View all posts filed under All" href="<?php echo get_option('siteurl');?>/?<?php echo $linkparam; ?>"><?php echo $name; ?></a></li><?php */?>
            <li class="cat-item cat-item-5"><a title="View all posts filed under All" href="javascript:void(0);" onclick="categorywiselisting('<?php echo $termid;?>');"><?php echo $name; ?></a></li>
			<?php
			//get_category_link( $category_id )
		}
		?>
    <form method="post" name="jobbycategory_frm" action="<?php echo get_option('siteurl');?>/?<?php echo $linkparam1; ?>">
    <input type="hidden" name="catid" value="" id="job_search_by_catid" /></form>
    <script>function categorywiselisting(catid){document.getElementById('job_search_by_catid').value = catid; document.jobbycategory_frm.submit();}</script>
    <?php
	}
}
// Exclude Categories by Name
function category_exclude() {
	$options[] = array(	"type" => "wraptop");						
	
	global $wpdb;
								
	$cats = $wpdb->get_results("SELECT $wpdb->terms.name as name, $wpdb->term_taxonomy.count as count, $wpdb->terms.term_id as cat_ID 
	                            FROM $wpdb->term_taxonomy,  $wpdb->terms
                                WHERE $wpdb->term_taxonomy.term_id =  $wpdb->terms.term_id
                                AND $wpdb->term_taxonomy.taxonomy = 'category'
								ORDER BY name");

	
	$cat_arr = array();
	$cat_arr[''] = 'Select Category';
	foreach ($cats as $cat) {	
	  
	  $cat_arr[] = $cat->name;
	}	
	return $cat_arr;
}

function get_category_by_cat_name($catname)
{
	if($catname)
	{
		global $wpdb;
		return $wpdb->get_var("SELECT $wpdb->terms.term_id FROM $wpdb->terms WHERE $wpdb->terms.name = \"$catname\"");
	}
}

function admin_coupon_code()
{
	 global $themename, $shortname, $options;
	add_theme_page($themename." Options", "Manage Coupon", 'edit_themes', 'managecoupon', 'admin_coupon_code_list');
}
function admin_coupon_code_list()
{
	if($_REQUEST['pagetype']=='addedit')
	{
		include_once(TEMPLATEPATH . '/admin_coupon.php');
	}else
	{
		include_once(TEMPLATEPATH . '/admin_manage_coupon.php');
	}
}
add_action('admin_menu', 'admin_coupon_code');

function get_discount_amount($coupon,$amount)
{
	global $wpdb;
	if($coupon!='' && $amount>0)
	{
		$couponsql = "select option_value from $wpdb->options where option_name='discount_coupons'";
		$couponinfo = $wpdb->get_results($couponsql);
		if($couponinfo)
		{
			foreach($couponinfo as $couponinfoObj)
			{
				$option_value = unserialize($couponinfoObj->option_value);
				foreach($option_value as $key=>$value)
				{
					if($value['couponcode'] == $coupon)
					{
						if($value['dis_per']=='per')
						{
							$discount_amt = ($amount*$value['dis_amt'])/100;
						}else
						if($value['dis_per']=='amt')
						{
							$discount_amt = $value['dis_amt'];
						}
					}
				}
			}
			return $discount_amt;
		}
	}
	return false;			
}

function wp_list_categories_custom( $args = '' ) {
	$defaults = array(
		'show_option_all' => '', 'orderby' => 'name',
		'order' => 'ASC', 'show_last_update' => 0,
		'style' => 'list', 'show_count' => 0,
		'hide_empty' => 1, 'use_desc_for_title' => 1,
		'child_of' => 0, 'feed' => '', 'feed_type' => '',
		'feed_image' => '', 'exclude' => '', 'exclude_tree' => '', 'current_category' => 0,
		'hierarchical' => true, 'title_li' => __( 'Categories' ),
		'echo' => 1, 'depth' => 0
	);

	$r = wp_parse_args( $args, $defaults );

	if ( !isset( $r['pad_counts'] ) && $r['show_count'] && $r['hierarchical'] ) {
		$r['pad_counts'] = true;
	}

	if ( isset( $r['show_date'] ) ) {
		$r['include_last_update_time'] = $r['show_date'];
	}

	if ( true == $r['hierarchical'] ) {
		$r['exclude_tree'] = $r['exclude'];
		$r['exclude'] = '';
	}

	extract( $r );

	$categories = get_categories( $r );

	$output = '';
	if ( $title_li && 'list' == $style )
			$output = '<li class="categories">' . $r['title_li'] . '<ul>';

	if ( empty( $categories ) ) {
		if ( 'list' == $style )
			$output .= '<li>' . __( "No categories" ) . '</li>';
		else
			$output .= __( "No categories" );
	} else {
		global $wp_query;

		foreach($categories as $key=>$val)
		{
			$termid = $val->term_id;
			$name = $val->name;
			$catlink = get_category_link($termid);
			if(strstr($catlink,'?'))
			{
				$catlink .= "&jtype=".$_REQUEST['jtype'];
			}else
			{
				$catlink .= "?jtype=".$_REQUEST['jtype'];
			}
			$output .= '<li class="cat-item cat-item-'.$termid.'"><a href="'.$catlink.'">' . $name . '</a></li>';
		}
	}


	if ( $echo )
		echo $output;
	else
		return $output;
}


	if(strstr($_SERVER['REQUEST_URI'],'themes.php') && $_REQUEST['template']=='' && $_GET['page']=='') 
	{
		if($_REQUEST['dummy']=='del')
		{
			delete_dummy_data();	
			$dummy_deleted = '<p><b>All Dummy data has been removed from your database successfully!</b></p>';
		}
		if($_REQUEST['dummy_insert'])
		{
			require_once (TEMPLATEPATH . '/auto_install.php');
		}
		if($_REQUEST['activated']=='true')
		{
			$theme_actived_success = '<p class="message">Theme activated successfully.</p>';	
		}
		$post_counts = $wpdb->get_var("select count(post_id) from $wpdb->postmeta where (meta_key='pt_dummy_content' || meta_key='tl_dummy_content') and meta_value=1");
		if($post_counts>0)
		{
			$dummy_data_msg = '<p> <b>Sample data has been populated on your site. Wish to delete sample data?</b> <br />  <a class="button_delete" href="'.get_option('siteurl').'/wp-admin/themes.php?dummy=del">Yes Delete Please!</a><p>';
		}else
		{
			$dummy_data_msg = '<p> <b>Would you like to auto install this theme and populate sample data on your site?</b> <br />  <a class="button_insert" href="'.get_option('siteurl').'/wp-admin/themes.php?dummy_insert=1">Yes, insert sample data please</a></p>';
		}


		define('THEME_ACTIVE_MESSAGE','
	<style>
	.highlight { width:60% !important; background:#FFFFE0 !important; overflow:hidden; display:table; border:2px solid #558e23 !important; padding:15px 20px 0px 20px !important; -moz-border-radius:11px  !important;  -webkit-border-radius:11px  !important; } 
	.highlight p { color:#444 !important; font:15px Arial, Helvetica, sans-serif !important; text-align:center;  } 
	.highlight p.message { font-size:13px !important; }
	.highlight p a { color:#ff7e00; text-decoration:none !important; } 
	.highlight p a:hover { color:#000; }
	.highlight p a.button_insert 
		{ display:block; width:230px; margin:10px auto 0 auto;  background:#5aa145; padding:10px 15px; color:#fff; border:1px solid #4c9a35; -moz-border-radius:5px;  -webkit-border-radius:5px;  } 
	.highlight p a:hover.button_insert { background:#347c1e; color:#fff; border:1px solid #4c9a35;   } 
	.highlight p a.button_delete 
		{ display:block; width:140px; margin:10px auto 0 auto; background:#dd4401; padding:10px 15px; color:#fff; border:1px solid #9e3000; -moz-border-radius:5px;  -webkit-border-radius:5px;  } 
	.highlight p a:hover.button_delete { background:#c43e03; color:#fff; border:1px solid #9e3000;   } 
	#message0 { display:none !important;  }
	</style>
	
	<div class="updated highlight fade"> '.$theme_actived_success.$dummy_deleted.$dummy_data_msg.'</div>');
		echo THEME_ACTIVE_MESSAGE;
		
	}
	
	function delete_dummy_data()
	{
		global $wpdb;
		delete_option('sidebars_widgets'); //delete widgets
		$productArray = array();
		$pids_sql = "select p.ID from $wpdb->posts p join $wpdb->postmeta pm on pm.post_id=p.ID where (meta_key='pt_dummy_content' || meta_key='tl_dummy_content') and meta_value=1";
		$pids_info = $wpdb->get_results($pids_sql);
		foreach($pids_info as $pids_info_obj)
		{
			wp_delete_post($pids_info_obj->ID);
		}
		
	}

function get_post_info($pid)
{
	if($pid)
	{
		global $wpdb;
		$productinfosql = "select * from $wpdb->posts where ID=$pid";
		$productinfo = $wpdb->get_results($productinfosql);
		foreach($productinfo[0] as $key=>$val)
		{
			$productArray[$key] = $val; 
		}
		return $productArray;
	}
}

function _cat_rows1( $parent = 0, $level = 0, $categories, &$children, $page = 1, $per_page = 20, &$count )
{
	//global $category_array;
	$start = ($page - 1) * $per_page;
	$end = $start + $per_page;
	ob_start();

	foreach ( $categories as $key => $category ) 
	{
		if ( $count >= $end )
			break;

		$_GET['s']='';
		if ( $category->parent != $parent && empty($_GET['s']) )
			continue;

		// If the page starts in a subtree, print the parents.
		if ( $count == $start && $category->parent > 0 ) {
			$my_parents = array();
			$p = $category->parent;
			while ( $p ) {
				$my_parent = get_category( $p );
				$my_parents[] = $my_parent;
				if ( $my_parent->parent == 0 )
					break;
				$p = $my_parent->parent;
			}

			$num_parents = count($my_parents);
			while( $my_parent = array_pop($my_parents) ) {
				$category_array[] = _cat_rows1( $my_parent, $level - $num_parents );
				$num_parents--;
			}
		}

		if ($count >= $start)
		{
			$categoryinfo = array();
			$category = get_category( $category, '', '' );
			$default_cat_id = (int) get_option( 'default_category' );
			$pad = str_repeat( '&#8212; ', max(0, $level) );
			$name = ( $name_override ? $name_override : $pad . ' ' . $category->name );
			$categoryinfo['ID'] = $category->term_id;
			$categoryinfo['name'] = $name;
			$category_array[] = $categoryinfo;
		}

		unset( $categories[ $key ] );
		$count++;
		if ( isset($children[$category->term_id]) )
			_cat_rows1( $category->term_id, $level + 1, $categories, $children, $page, $per_page, $count );
	}
	$output = ob_get_contents();
	ob_end_clean();
	return $category_array;
}
		
function getCategoryList( $parent = 0, $level = 0, $categories = 0, $page = 1, $per_page = 1000 ) 
{
	$count = 0;
	if ( empty($categories) ) 
	{
		$args = array('hide_empty' => 0,'orderby'=>'id');
			
		$categories = get_categories( $args );
		if ( empty($categories) )
			return false;
	}		
	$children = _get_term_hierarchy('category');
	return _cat_rows1( $parent, $level, $categories, $children, $page, $per_page, $count );
}
function get_sub_categories($parentid,$return_type='array')
{
	$cat_arr = array();
	$catarr = getCategoryList($parentid);
	if($catarr)
	{
		foreach($catarr as $key=>$val)
		{
			$cat_arr[] = $val['ID'];
		}
	}	
	$cat_arr[0] = $parentid;
	if($return_type=='array')
	{
		return $cat_arr;
	}else
	{
		return implode(',',$cat_arr);
	}
}

function check_user_reg($user_login, $user_email)
{
	include_once(ABSPATH.'wp-includes/registration.php');
	$errors = new WP_Error();

	$user_login = sanitize_user( $user_login );
	$user_email = apply_filters( 'user_registration_email', $user_email );

	// Check the username
	if ( $user_login == '' )
		$errors->add('empty_username', __('ERROR: Please enter a username.'));
	elseif ( !validate_username( $user_login ) ) {
		$errors->add('invalid_username', __('<strong>ERROR</strong>: This username is invalid.  Please enter a valid username.'));
		$user_login = '';
	} elseif ( username_exists( $user_login ) )
		$errors->add('username_exists', __('<strong>ERROR</strong>: This username is already registered, please choose another one.'));

	// Check the e-mail address
	if ($user_email == '') {
		$errors->add('empty_email', __('<strong>ERROR</strong>: Please type your e-mail address.'));
	} elseif ( !is_email( $user_email ) ) {
		$errors->add('invalid_email', __('<strong>ERROR</strong>: The email address isn&#8217;t correct.'));
		$user_email = '';
	} elseif ( email_exists( $user_email ) )
		$errors->add('email_exists', __('<strong>ERROR</strong>: This email is already registered, please choose another one.'));

	do_action('register_post', $user_login, $user_email, $errors);

	$errors = apply_filters( 'registration_errors', $errors );

	if ( $errors->get_error_code() )
		return $errors;
	
}

function register_new_user_custom($user_login, $user_email, $user_pw) {
	global $wpdb,$General;
	include_once(ABSPATH.'wp-includes/registration.php');
	$errors = new WP_Error();

	$user_login = sanitize_user( $user_login );
	$user_email = apply_filters( 'user_registration_email', $user_email );

	// Check the username
	if ( $user_login == '' )
		$errors->add('empty_username', __('ERROR: Please enter a username.'));
	elseif ( !validate_username( $user_login ) ) {
		$errors->add('invalid_username', __('<strong>ERROR</strong>: This username is invalid.  Please enter a valid username.'));
		$user_login = '';
	} elseif ( username_exists( $user_login ) )
		$errors->add('username_exists', __('<strong>ERROR</strong>: This username is already registered, please choose another one.'));

	// Check the e-mail address
	if ($user_email == '') {
		$errors->add('empty_email', __('<strong>ERROR</strong>: Please type your e-mail address.'));
	} elseif ( !is_email( $user_email ) ) {
		$errors->add('invalid_email', __('<strong>ERROR</strong>: The email address isn&#8217;t correct.'));
		$user_email = '';
	} elseif ( email_exists( $user_email ) )
		$errors->add('email_exists', __('<strong>ERROR</strong>: This email is already registered, please choose another one.'));

	do_action('register_post', $user_login, $user_email, $errors);

	$errors = apply_filters( 'registration_errors', $errors );

	if ( $errors->get_error_code() )
		return $errors;

	$user_pass = $user_pw;
	$user_id = wp_create_user( $user_login, $user_pass, $user_email );
	
	$userName = $user_login;
	$updateUsersql = "update $wpdb->users set user_nicename=\"$userName\", display_name=\"$userName\"  where ID=\"$user_id\"";
	$wpdb->query($updateUsersql);
	
	if ( !$user_id ) {
		$errors->add('registerfail', sprintf(__('<strong>ERROR</strong>: Couldn&#8217;t register you... please contact the <a href="mailto:%s">webmaster</a> !'), get_option('admin_email')));
		return $errors;
	}

	if ( $user_id ) 
	{
		///////REGISTRATION EMAIL START//////
		global $General;
		$fromEmail = get_option('site_email_id');
		$fromEmailName = get_option('blogname');
		$store_name = get_option('blogname');
		$client_message = '<p>Dear [#$user_name#],</p>
		<p>Your login information:</p>
		<p>Username: [#$user_login#]</p>
		<p>Password: [#$user_password#]</p>
		<p>You can login from [#$store_login_url#] or the URL is : [#$store_login_url_link#].</p>
		<p>We hope you enjoy. Thanks!</p>
		<p>[#$store_name#]</p>';
		
		$subject = '';
		if($subject == '')
		{
			$subject = "Registration Email";
		}
		$store_login_url_link = '<a href="'.get_option('siteurl').'/?page=login">Click Login</a>';
		$store_login_url = get_option('siteurl').'/?page=registration';
		/////////////customer email//////////////
		$search_array = array('[#$user_name#]','[#$user_login#]','[#$user_password#]','[#$store_name#]','[#$store_login_url#]','[#$store_login_url_link#]');
		$replace_array = array($_POST['user_fname'],$user_login,$user_pass,$store_name,$store_login_url,$store_login_url_link);
		$client_message = str_replace($search_array,$replace_array,$client_message);	
		$headers  = 'MIME-Version: 1.0' . "\r\n";
		$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		// Additional headers
		$headers .= 'To: '.$userName.' <'.$user_email.'>' . "\r\n";
		$headers .= 'From: '.$fromEmailName.' <'.$fromEmail.'>' . "\r\n";
		@mail($user_email,$subject,$client_message,$headers);
		//////REGISTRATION EMAIL END////////
	}
	return array($user_id,$user_pass);
}
?>