<?php
/*
Template Name: Jobs
*/
?>
<?php get_header(); ?>

<div class="category_list">
  <div class="category_list-in">
    <ul>
      <li class="bnone"><?php _e('Category','templatic');?> : </li>
       <?php 
	  		 $blogcatids = get_category_by_cat_name(get_option('pt_blog_cat')); //remove blog category from listing page
			 wp_list_categories_custom('exclude='. $blogcatids.'&title_li=&jtype='.$_REQUEST['jtype']); 
             ?>
      <?php //wp_list_categories('orderby=name&title_li'); ?>
    </ul>
  </div>
</div>
<!-- category_list -->
<div id="page">
<div id="content-wrap" class="clear" >
<div id="content">
  <h2>
    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_category()) { ?>
    <?php echo single_cat_title(); ?>
    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
    <?php the_time('F jS, Y'); ?>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <?php _e('Archive for','templatic');?>
    <?php the_time('F, Y'); ?>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
   <?php _e('Archive for','templatic');?>
    <?php the_time('Y'); ?>
    <?php /* If this is a search */ } elseif (is_search()) { ?>
    <?php _e('Search Results','templatic');?>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <?php _e('Author Archive','templatic');?>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
      <?php _e('Blog Archives','templatic');?>
      <!--do not delete-->
      <?php }
	  	elseif( is_tag() ) { ?>
		<?php _e('Tagged','templatic');?> &#8216;<?php single_tag_title(); ?>&#8217; 
        <?php }?>
  </h2>
  <p><a href="<?php bloginfo('rss_url'); ?>" class="rss"><?php _e('RSS FEED','templatic');?></a></p>
  <?php if(is_home()){
  $page =(get_query_var('paged')) ? get_query_var ('paged') :".$pt_index_posts";
  query_posts("showposts= $pt_index_posts&paged=$page");
  } ?>
<?php
$querypost = '';
if($_REQUEST['jtype'] != 'all')
{
	$querypost .= 'meta_key=job_type&meta_value='.$_REQUEST['jtype'];
}
if(!$_REQUEST['cat'])
{
	global $request;
	$arr1 = explode("IN ('",$request);
	$arr2 = explode("')",$arr1[1]);
	$_REQUEST['cat'] = $arr2[0];
}
if($_REQUEST['cat'])
{
	$querypost .= "&cat=".$_REQUEST['cat'];
}
$totalpost_count = 0;
$limit = 1000;
$querypost1 = "&showposts= $limit";
query_posts($querypost.$querypost1);
if(have_posts())
{
	while(have_posts())
	{
		 the_post();
		$totalpost_count++;
	}
}
global $posts_per_page,$paged;
$limit = $posts_per_page;
$querypost .= "&showposts=$limit";
$querypost .= "&paged=$paged";
query_posts($querypost);
?>
  <?php if (have_posts()) : ?>
  <?php while (have_posts()) : the_post(); ?>
 <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
  <div class="listings">
    <h3  id="post-<?php the_ID(); ?>"> 
      <?php the_title(); ?>
       <span class="company_name "><?php echo stripslashes(get_post_meta($post->ID,'company_name', $single = true));?></span> </h3>
    <span class="place"><?php echo stripslashes(get_post_meta($post->ID,'job_location', $single = true));?> <br  />
    <small><?php echo stripslashes(get_post_meta($post->ID,'job_type', $single = true));?> </small> </span> <span class="date" >
    <?php  the_time('j M ') ?>
    <small>
    <?php  the_time('Y') ?>
    </small> </span>
    <!--Post Meta-->
  </div></a>
  <!--post end -->
  <?php endwhile; ?>
  <!-- Prev/Next page navigation -->
  <div class="pagenavi">
    <?php if(function_exists('wp_pagenavi')) { ?>
    <div class="wp-pagenavi">
      <?php wp_pagenavi();  ?>
    </div>
    <?php } 
 
 else {?>
    <div class="page-nav">
      <div class="nav-previous">
        <?php previous_posts_link('Previous Page') ?>
      </div>
      <div class="nav-next">
        <?php next_posts_link('Next Page') ?>
      </div>
    </div>
    <? } ?>
  </div>
  <!--page navi end -->
  <?php else : ?>
  <h3><?php _e('Sorry, no posts matched your criteria.','templatic');?></h3>
  <p><?php _e('Please try searching again here...','templatic');?></p>
  <p class="clear"><strong><?php _e('Or, take a look at Archives and Categories','templatic');?></strong></p>
  <div class="category">
    <h2>
      <?php _e('Category','templatic'); ?>
    </h2>
    <ul>
      <?php wp_list_categories('orderby=name&title_li'); ?>
    </ul>
  </div>
  <div class="archives">
    <h2 class="sidebartitle">
      <?php _e('Archives','templatic'); ?>
    </h2>
    <ul>
      <?php wp_get_archives('type=monthly'); ?>
    </ul>
  </div>
  <?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>