<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php if (is_home () ) { bloginfo('name'); }
elseif ( is_category() ) { single_cat_title(); echo ' - ' ; bloginfo('name'); }
elseif (is_single() ) { single_post_title();}
elseif (is_page() ) { single_post_title();}
else { wp_title('',true); } ?>
</title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<!-- leave this for stats -->
<link rel="shortcut icon" type="image/ico" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/print.css" media="print" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/pngfix.js"></script>
<![endif]-->
<?php wp_head(); ?>
<?php
global $options;
foreach ($options as $value) {
		global $$value['id'];
        if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
?>
</head>
<body>
<div id="header" class="clearfix">
  <div id="header-in" >
 
 		<div class="h_left">
      <div class="logo-<?php echo $pt_logo_appearance; ?>"> 
       		<a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>"> <?php bloginfo('name'); ?></a>
       </div>
  
  <div class="description">
        <?php bloginfo('description'); ?>
      </div> 
      
      </div><!--hleft end -->
          
     <ul>
     	<li><a href="<?php bloginfo('rss_url'); ?>" class="i_rss"><?php _e('Rss','templatic');?></a></li>
        <li><a href="http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $pt_feedburner_id; ?>" class="i_email" ><?php _e('Email','templatic');?></a></li>
        <li><a href="http://twitter.com/<?php echo $pt_twitter_id; ?>" class="i_twitter" ><?php _e('Twitter','templatic');?></a></li>
     </ul>
          
  </div> <!--header in end -->
</div><!--header end -->

<div id="search_section">
	<div id="search_section-in">
    	 
         <?php include (TEMPLATEPATH . "/searchform.php"); ?>
          <div id="nav">
        <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Header Navigation') ){}else{  ?>	 
        
        		<ul>
         	 <?php 
			 if($pt_includepages)
			 {
			 	wp_list_pages("include=$pt_includepages;&title_li=");
			 }?> 
             <?php 
			 $blog_cat_id = get_category_by_cat_name(get_option('pt_blog_cat'));
			 if($blog_cat_id)
			 {
			 ?>
             <?php $catlist = wp_list_categories ('title_li=&depth=0&include=' . $blog_cat_id . '&sort_column=menu_order&echo=0'); 
			 if(!strstr($catlist,'No categories'))
			 {
				 echo $catlist;
			 }
			// $catid = get_sub_categories($blog_cat_id,'string');
			// wp_list_categories ('title_li=&depth=0&include=' . $catid . '&sort_column=menu_order'); 
			 ?>
             <?php }?>
             </ul>
        
         <?php }?>
          </div>
         
    </div>
</div>
<div id="main_tab">
	<div id="main_tab-in"> 
     <ul id="tab">
      <li class="page_item <?php if($_GET['jtype']=='all'){echo "current_page_item";}?>" ><a href="<?php echo get_option('siteurl');?>/?jtype=all"><?php _e('All','templatic');?></a></li> 
      <?php
	   global $jobs_type_predefined_values;
      foreach($jobs_type_predefined_values as $key=>$val)
	  {
		?>
        <li class="page_item <?php if($_GET['jtype']==$key){echo "current_page_item";}?>"><a href="<?php echo get_option('siteurl');?>/?jtype=<?php echo $key;?>"><?php echo $val;?></a></li>
        <?php	  
	  }
	  ?>
     <?php /*?> <li class="page_item <?php if($_GET['jtype']=='fulltime'){echo "current_page_item";}?>"><a href="<?php echo get_option('siteurl');?>/?jtype=fulltime"><?php _e('Full Time','templatic');?></a></li>
      <li class="page_item <?php if($_GET['jtype']=='parttime'){echo "current_page_item";}?>"><a href="<?php echo get_option('siteurl');?>/?jtype=parttime"><?php _e('Part Time','templatic');?></a></li>
      <li class="page_item <?php if($_GET['jtype']=='freelance'){echo "current_page_item";}?>"><a href="<?php echo get_option('siteurl');?>/?jtype=freelance"><?php _e('Freelance','templatic');?></a></li><?php */?>
     </ul>
    <div class="b_postajob"> <?php
      if(get_option('pt_show_postajoblink') == 'Yes')
	  {
	  ?>  <a href="<?php echo get_option('siteurl');?>/?page=postajob"><?php _e('Post a Job','templatic');?></a>	  
	  <?php
      }
	  ?> </div>
  </div>
</div> <!-- main tab #end -->