<?php
/*
Template Name: Create a Job
*/
?>
<?php 
session_start();
ob_start();
/*if($current_user->data->ID == '')
{
	wp_redirect(get_option('siteurl').'/?page=registration');
}*/
?>
<?php get_header(get_option('siteurl')); ?>

<!-- TinyMCE -->
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/jscripts/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript">
	tinyMCE.init({
		// General options
		mode : "textareas",
		theme : "advanced",
		plugins :"advimage,advlink,emotions,iespell,",

		// Theme options
		theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,bullist,numlist,blockquote,|,link,unlink,anchor,image,code",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_buttons4 : "",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,

		// Example word content CSS (should be your site CSS) this one removes paragraph margins
		content_css : "css/word.css",

		// Drop lists for link/image/media/template dialogs
		template_external_list_url : "lists/template_list.js",
		external_link_list_url : "lists/link_list.js",
		external_image_list_url : "lists/image_list.js",
		media_external_list_url : "lists/media_list.js",

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		}
	});
</script>
<!-- /TinyMCE -->

<div id="page">
 <div id="content-wrap" class="clear" >

<div id="content">
<?php
$data = array();
$pid = $_REQUEST['pid'];
$data['company_name'] = get_post_meta( $pid , 'company_name', true );
$data['company_web'] = get_post_meta( $pid , 'company_web', true );
$data['company_email'] = get_post_meta( $pid , 'company_email', true );
$data['job_type'] = get_post_meta( $pid , 'job_type', true );
$data['job_location'] = get_post_meta( $pid , 'job_location', true );
$data['post_title'] = get_the_title($pid);
$post_info = get_post_info($pid);
$data['post_title'] =  $post_info['post_title'];
$data['description'] =  $post_info['post_content'];
$data['how_to_apply'] = $post_info['post_excerpt'];
$data['allow_resume'] = get_post_meta( $pid , 'allow_resume', true );
$data['company_logo'] = get_post_meta( $pid , 'company_logo', true );
$data['price_select'] = get_post_meta( $pid , 'purchase_package', true );

$cat_array = array();
if($pid)
{
	$catinfoarr = get_the_category($post_info['ID']);
	$cat_array = array();
	for($c=0;$c<count($catinfoarr);$c++)
	{
		$cat_array[] = $catinfoarr[$c]->term_id;
	}
}
if($_REQUEST['back'])
{
	$post_info = $_SESSION['post_info'];
	$data['company_name'] = $post_info['company_name'];
	$data['company_web'] = $post_info['company_web'];
	$data['company_email'] = $post_info['company_email'];
	$data['job_type'] = $post_info['job_type'];
	$data['job_location'] = $post_info['job_location'];
	$data['post_title'] = $post_info['post_title'];
	$data['post_title'] =  $post_info['post_title'];
	$data['description'] =  $post_info['description'];
	$data['how_to_apply'] = $post_info['how_to_apply'];
	$data['allow_resume'] = $post_info['allow_resume'];
	$data['company_logo'] = $post_info['company_logo'];
	$data['price_select'] = $post_info['price_select'];
	
	
	$cat_array = $post_info['category'];
}else
{
	$_SESSION['post_info'] = array();	
}

?>
<h2><?php _e('Post a Job','templatic');?></h2>
<?php 
if($_REQUEST['msg']=='invalid_username')
{
	_e('<p class="error_msg">Invalid User Name</p>','templatic');	
}elseif($_REQUEST['msg']=='incorrect_password')
{
	_e('<p class="error_msg">Invalid Password</p>','templatic');	
}elseif($_REQUEST['msg']=='empty_password')
{
	_e('<p class="error_msg">Please insert Password</p>','templatic');	
}elseif($_REQUEST['msg']=='empty_username')
{
	_e('<p class="error_msg">Please insert User Name</p>','templatic');	
}elseif($_REQUEST['msg']=='success')
{
	_e('<p class="success_msg">Login success, Please Post A Job</p>','templatic');	
}elseif($_SESSION['error_msg'])
{
	echo $_SESSION['error_msg'];
	$_SESSION['error_msg'] = '';
}

if($current_user->data->ID == '')
{
?>
<div class="createjob">
	  
    <div class="select_login_options"> 
<span class="field"><?php _e('I\'m ','templatic');?>  </span>
<span class="user_define">
  <label> <input name="user_login_or_not"  type="radio" value="existing_user" id="existing_user_id" <?php if($user_login_or_not=='existing_user'){ echo 'checked="checked"';}?> checked onClick="set_login_registration_frm(this.value);" /> 
<?php _e('Existing User','templatic');?> </label> </span>
<span class="user_define"> 
<label> <input name="user_login_or_not" type="radio" value="new_user" id="new_user_id" <?php if($_SESSION['post_info']['reg_username']){ echo 'checked="checked"';}?> onClick="set_login_registration_frm(this.value);" /> <?php _e('New User? Register Now','templatic');?></label>  </span>                 
    </div><!--jobform-->
    
    <div class="login_submit clearfix" id="login_user_frm_id">
          <form name="loginform" id="loginform" action="<?php echo get_settings('home').'/index.php?page=registration&frm=jobpost'; ?>" method="post" >
         
         <div class="jobform">
          <div class="jobform_l ">
            <label><?php _e('Login','templatic');?>  <span class="required">*</span> </label>
            </div>
           <div class="jobform_r">  <input type="text"class="jobtextfield" id="user_login" name="log" value="<?php echo $_SESSION['post_info']['log'];?>" />
          </div>
          
          </div>
          
          <div class="jobform">
           <div class="jobform_l ">
            <label><?php _e('Password','templatic');?>  <span class="required">*</span> </label> </div>
            <div class="jobform_r"> <input type="password" class="jobtextfield" id="user_pass" name="pwd" <?php echo $_SESSION['post_info']['pwd'];?> />
          </div>
          </div> 
          
          <input name="submit" type="submit" value="<?php _e('Submit','templatic');?>" class="normal_button login_spacer" />
          <?php	$login_redirect_link = get_settings('home').'/?page=postajob&msg=success';?>
          <input type="hidden" name="redirect_to" value="<?php echo $login_redirect_link; ?>" />
          <input type="hidden" name="testcookie" value="1" />
          <input type="hidden" name="pagetype" value="<?php echo $login_redirect_link; ?>" />
          </form>
     </div>
</div>
<?php
}
?>
<form name="createjob_frm" action="<?php echo get_option('siteurl');?>/?page=jobpreview" method="post" enctype="multipart/form-data">
<input type="hidden" name="pid" value="<?php echo $_REQUEST['pid'];?>" />
<input type="hidden" name="renew" value="<?php echo $_REQUEST['renew'];?>" />
<div class="createjob">


<div id="contact_detail_id" style="display:none;">  
<div class="jobform"> 
	<div class="jobform_l"><?php _e('Username','templatic');?> <span class="required">*</span> </div>

 <div class="jobform_r"> <input type="text" class="jobtextfield" id="reg_username" value="<?php echo $_SESSION['post_info']['reg_username'];?>" name="reg_username" /> </div>
 <div class="jobform_r"></div>
 </div><!--jobform-->
 
  <div class="jobform"> 
    <div class="jobform_l"><?php _e('Email','templatic');?> <span class="required">*</span> </div>
    
     <div class="jobform_r"> <input type="text" class="jobtextfield" id="reg_email" name="reg_email" value="<?php echo $_SESSION['post_info']['reg_email'];?>" /> </div>
     <div class="job_note"><?php _e('Your password will be send to this email. It should be unique','templatic');?></div>
     </div><!--jobform-->

<div class="jobform"> 
    <div class="jobform_l"><?php _e('Password','templatic');?> <span class="required">*</span> </div>
    
     <div class="jobform_r"> <input type="password" class="jobtextfield" id="reg_pass" name="reg_pass" value="<?php echo $_SESSION['post_info']['reg_pass'];?>" /> </div>
     <div class="jobform_r"></div>
     </div><!--jobform-->

</div>
</div>
	
    <h4 class="sub_head"><?php _e('Company Information','templatic');?></h4>
	
    <div class="jobform"> 
    <div class="jobform_l"><?php _e('Company Name','templatic');?> : <span class="required">*</span></div>     
     <div class="jobform_r"><input name="company_name" id="company_name" value="<?php echo stripslashes($data['company_name']);?>" type="text" class="jobtextfield" /> </div>
    </div><!--jobform-->
     
     <div class="jobform"> 
    <div class="jobform_l"><?php _e('Company Website','templatic')?> : </div>
     
     <div class="jobform_r"><input name="company_web" id="company_web" value="<?php echo $data['company_web'];?>" type="text" class="jobtextfield" /> </div>
     </div><!--jobform-->
     
     <div class="jobform"> 
    <div class="jobform_l"><?php _e('Company Email','templatic')?> : <span class="required">*</span></div>
     
     <div class="jobform_r"><input name="company_email" id="company_email" value="<?php echo $data['company_email'];?>" type="text" class="jobtextfield" /> </div>
     </div><!--jobform-->
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('Company Logo','templatic')?> : </div>
     
     <div class="jobform_r"><input name="company_logo" id="company_logo" value="<?php echo $data['company_logo'];?>" type="file" class="jobtextfield" /> 
     <span class="job_note clearfix"><?php _e('Company logo image 90x90 pixel','templatic');?></span>
	 <?php if($data['company_logo']){?>
     <br /><img class="thumb" src="<?php echo $data['company_logo'];?>" height="90" width="90" />
     <?php }?>
     </div>
     </div><!--jobform-->
     
     
     <h4 class="sub_head"><?php _e('Job Information','templatic');?></h4>
     
     <div class="jobform"> 
    <div class="jobform_l"><?php _e('Job Type','templatic')?> : </div>
     
     <div class="jobform_r">
     <?php 
	 $counter = 1;
	 global $jobs_type_predefined_values;
	 foreach($jobs_type_predefined_values as $key=>$val)
	 {
	?>
    <label><input type="radio" name="job_type" value="<?php echo $key;?>" <?php if($data['job_type']==$key || $counter==1){echo 'checked="checked"';}?>
      /> <?php echo $val;?> </label>&nbsp;&nbsp;
    <?php $counter++; } ?>
	 </div>
     </div><!--jobform-->
     
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('Location','templatic');?> : <span class="required">*</span></div>
     
     <div class="jobform_r">
     <select name="job_location" id="job_location" class="jobtextfield mini">
     <option value=""><?php _e('Select Location','templatic');?></option>
     <?php get_location_dl($data['job_location']);?>
     </select>
      </div>
     </div><!--jobform-->
     
     <div class="jobform"> 
    <div class="jobform_l"><?php _e('Category','templatic');?> : <span class="required">*</span> </div>
     
     <div class="jobform_r">
     <?php require_once (TEMPLATEPATH . '/jobs_category.php');?>
   </div>
     </div><!--jobform-->
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('Position Title','templatic');?> : <span class="required">*</span></div>
     
     <div class="jobform_r"><input name="post_title" id="post_title" value="<?php echo stripslashes($data['post_title']);?>" type="text" class="jobtextfield" /> </div>
     </div><!--jobform-->
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('Description','templatic');?> : </div>
     
     <div class="jobform_r">
     <textarea cols="" rows="4" class="jobtextfield description" name="description"  ><?php echo $data['description'];?></textarea> </div>
     <div class="jobform_r"></div>
     </div><!--jobform-->
     
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('How to apply','templatic');?> : </div>
    
     <div class="jobform_r"> <textarea cols="" rows="4" class="jobtextfield how_to_apply" name="how_to_apply" id="how_to_apply" ><?php echo $data['how_to_apply'];?></textarea> </div>
   
     </div><!--jobform-->
     
      <div class="jobform"> 
    <div class="jobform_l"><?php _e('Allow resume Submission?','templatic')?> : </div>
     
     <div class="jobform_r">
     <?php
     if($data['allow_resume']==''){$data['allow_resume']='Yes';}
	 ?>
    <label> <input type="radio" name="allow_resume" value="Yes" <?php if($data['allow_resume']=='Yes'){ echo 'checked="checked"'; }?> />&nbsp;<?php _e('Yes','templatic');?> </label>&nbsp;&nbsp;
     <label><input type="radio" name="allow_resume" value="No" <?php if($data['allow_resume']=='No'){ echo 'checked="checked"'; }?> />&nbsp;<?php _e('No','templatic');?></label>
      <span class="job_note clearfix"><?php _e('Resume will email to "Company Email ID".','templatic');?></span>
     </div>
     </div><!--jobform-->
     
     
     <?php if($_REQUEST['pid'] == '')
	 {
	 ?>
	 <div class="jobform"> 
    <div class="jobform_l"><?php _e('Coupon Code','templatic');?> : </div>
     
     <div class="jobform_r"> <input type="text" name="coupon_code" value="<?php echo $data['coupon_code'];?>" id="coupon_code" class="jobtextfield mini" /></div>

     </div><!--jobform-->
	<?php }?>	 
 
   <?php
   if(get_option('jobpost_fees_amount') == '' || get_option('jobpost_fees_amount') == '0')
   {
   ?>
   <div class="jobform"> 
      <div class="breviewyourlist"> <input type="submit" onclick="return check_frm();" name="" value="<?php _e('Pay & Publish','templatic');?>" class="" /></div>
      </div> 
   <?php
   }else
   {
   ?>
   
   
   <?php if($_REQUEST['pid'] == '' || $_REQUEST['renew']==1){
	   $paid_job_desc = get_option('paid_job_desc');
	   ?>
   <div class="jobform"> 
    <div class="jobform_l">
    	<?php _e(' Select Package : ','templatic');?>
    </div>
   <div class="jobform_r">
	 <?php get_price_info($data['price_select']);?> 
   </div>
   <div class="jobform_r"><p>
   <strong><?php echo $paid_job_desc;?></strong>
   </p> </div>
     <?php }?>
    
     
           <?php if($_REQUEST['pid'] == '' || $_REQUEST['renew']==1){?>
    <div class="jobform_l textright"> </div>
     <div class="jobform_r" > <input name="termandconditions" id="termandconditions" type="checkbox" value="" class="jobcheckbox" />  <?php _e('I understand that my listing may be removed if is for  position that involves adult content or an illegitimate work opportunity.','templatic');?> </div>
     <?php }?>
 
     <div class="breviewyourlist">
     
     <input type="submit" onclick="return check_frm();" name="" value="<?php _e('Preview This Job Post','templatic');?>" class="normal_button" />
     
    </div>
    
    </div>
   <?php
   }
   ?>
   
   


</form>
</div>


<div id="sidebar">

<?php
global $current_user;
if($current_user->data->ID == '')
{
?>
<h2><?php _e(WELCOME_GUEST_TEXT,'templatic');?></h2>

        <ul>
        <li><a href="<?php echo get_option('siteurl');?>/?page=registration"><?php _e(LOGIN_TEXT,'templatic');?></a></li>
        <li><a href="<?php echo get_option('siteurl');?>/?page=registration"><?php _e(REGISTRATION_TEXT,'templatic');?></a></li>
        </ul>
  


<?php
}else
{
?>
<h2><?php _e(WELCOME_TEXT,'templatic');?> <?php echo $current_user->data->nickname;?>,</h2>

<ul>
    <li><a href="<?php echo get_option('siteurl');?>/?page=dashboard"><?php _e(MY_DASHBOARD_TEXT,'templatic');?></a></li>
	<li><a href="<?php echo get_option('siteurl');?>/?page=editprofile"><?php _e(EDIT_PROFILE_TEXT,'templatic');?></a></li>
	<li><a href="<?php echo get_option('siteurl');?>/?page=registration&action=logout"><?php _e(LOGOUT_TEXT,'templatic');?></a></li>
</ul>

<?php
}
?>

 				 <?php dynamic_sidebar(2); ?>  
    			</div> <!-- sidebar end --> 

<script language="javascript" type="text/javascript">
var post_id = '<?php echo $_REQUEST['pid'];?>';
var renewal_flag = '<?php echo $_REQUEST['renew'];?>';
</script>   
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/createjobs.js"></script>     

				
                
<?php get_footer(); ?>